## org.apache.taglibs.standard.tag.common.fmt
Class MessageSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.fmt.MessageSupport

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  MessageTag, MessageTag

    public abstract class MessageSupport

extends BodyTagSupport

Support for tag handlers for <message>, the message formatting tag in JSTL 1.0.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary
`protected LocalizationContext` `bundleAttrValue`
`protected boolean` `bundleSpecified`
`protected String` `keyAttrValue`
`protected boolean` `keySpecified`
`static String` `UNDEFINED_KEY`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MessageSupport()`

Method Summary
`void` `addParam(Object arg)` Adds an argument (for parametric replacement) to this tag's message.
`int` `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`int` `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`void` `release()` Release state.
`void` `setScope(String scope)`
`void` `setVar(String var)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### UNDEFINED_KEY

    public static final String UNDEFINED_KEY

See Also:
  Constant Field Values

### keyAttrValue

    protected String keyAttrValue

### keySpecified

    protected boolean keySpecified

### bundleAttrValue

    protected LocalizationContext bundleAttrValue

### bundleSpecified

    protected boolean bundleSpecified

Constructor Detail

### MessageSupport

    public MessageSupport()

Method Detail

### setVar

    public void setVar(String var)

### setScope

    public void setScope(String scope)

### addParam

    public void addParam(Object arg)

  Adds an argument (for parametric replacement) to this tag's message.

  See Also:
    `ParamSupport`

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`
  See Also:
    `Tag.release()`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.